## mingw-w64-python-node-semver-0.8.1-2.src.tar.zst

=== Makefile ===
test:
	python setup.py test

# DST=README.rst
# SED=$(shell which gsed 2>/dev/null || which sed)
# default:
# 	echo semver > ${DST}
# 	echo ================= >> ${DST}
# 	echo "" >> ${DST}
# 	echo "python version of [node-semver](https://github.com/isaacs/node-semver)" >> ${DST}
# 	echo "" >> ${DST}
# 	echo ".. code:: python\n" >> ${DST}
# 	cat ./examples/readme.py | $(SED) 's/^\(.\)/   \1/g' >> ${DST}

=== PKGBUILD ===
# Maintainer: Joel Holdsworth <jholdsworth@nvidia.com>

_realname=node-semver
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=0.8.1
pkgrel=2
pkgdesc="Python version of node-semver (mingw-w64)"
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clang32' 'clangarm64')
license=('spdx:MIT')
url="https://github.com/podhmo/python-node-semver"
depends=("${MINGW_PACKAGE_PREFIX}-python")
makedepends=("${MINGW_PACKAGE_PREFIX}-python-setuptools")
source=("${_realname}-${pkgver}.tar.gz::https://github.com/podhmo/python-${_realname}/archive/${pkgver}.tar.gz")
sha256sums=('1ff28cdf1f7e10d853e0d147b0cb170e42f842cc8bcc481b5e6b166f34aa8fee')

build() {
  msg "Python build for ${MSYSTEM}"
  cd "${srcdir}/python-${_realname}-${pkgver}"
  ${MINGW_PREFIX}/bin/python setup.py build
}

check() {
  msg "Python test for ${MSYSTEM}"
  cd "${srcdir}/python-${_realname}-${pkgver}"
  ${MINGW_PREFIX}/bin/python setup.py test || warning "Tests failed"
}

package() {
  cd "${srcdir}/python-${_realname}-${pkgver}"
  MSYS2_ARG_CONV_EXCL="--prefix=;--install-scripts=;--install-platlib=" \
   ${MINGW_PREFIX}/bin/python setup.py install --prefix=${MINGW_PREFIX} \
    --root="${pkgdir}" --optimize=1 --skip-build

  install -Dm644 LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/COPYING"
}
